@import url('./components/reviews-swiper.css');
@import url('./components/download-container.css');

.intro-section .download-container{
    position: absolute;
    right: 8%;
    bottom: 13%;
    border: none;
    margin-left: auto;
    background-color: var(--light-teal);
}



/* Cards */

.card-section-wrapper{
    width: 100%;
    height: fit-content;
}
.card-container{
    display: flex;
    box-sizing: content-box;
    padding: 60px;
    transition: 250ms min-height;
}
.card-item{
    position: relative;
    min-width: 27%;
    height: fit-content;
    border-radius: 30px;
    padding: 20px;
    overflow: hidden;
    display: flex;
    align-items: end;
    cursor: pointer;
    will-change: transform;
    transition: 250ms all ease-out !important;
}
.card-item:hover{
    z-index: 20;
}
.card-item:first-child{
    margin-top: auto;
    aspect-ratio: 41 / 50;
}
.card-item:nth-child(2){
    aspect-ratio: 770 / 565;
}
.card-item:nth-child(3){
    aspect-ratio: 410 / 344;
    margin-top: 20px;
}
.card-item:not(:hover):nth-child(1){
    transform: rotate(5deg) translateY(40px) !important;
}
.card-item:not(:hover):nth-child(2){
    transform: rotate(-4deg) translateY(40px) !important;
}
.card-item:not(:hover):nth-child(3){
    transform: rotate(6deg) translateY(40px) !important;
}
.card-item.main{
    min-width: 50%;
}
.card-text{
    max-width: 170px;
    position: relative;
    width: 100%;
    z-index: 1;
    color: var(--white);
    line-height: .8;
}
.card-text.mark{
    margin-left: 20px !important;
    background-color: transparent !important;
}
.card-text.mark:after{
    content: "";
    height: 290%;
    position: absolute;
    top: -125%;
    left: -27%;
    background-image: url('../img/icons/card-mark.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none;
    aspect-ratio: 277 / 143;
    transform: rotate(-4deg);
}
.card-text.mark .small{
    margin-left: 15px;
}
.card-text .small{
    font-size: .8rem;
}
.card-text .text{
    font-size: 1.4rem;
    font-weight: bold;
}




/* Transform Scroller */

.transform-scroller-section{
    position: relative;
}
.transform-scroller-section .filter{
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.dev/svgjs' viewBox='0 0 700 700' width='700' height='700'><defs><filter id='nnnoise-filter' x='-20%25' y='-20%25' width='140%25' height='140%25' filterUnits='objectBoundingBox' primitiveUnits='userSpaceOnUse' color-interpolation-filters='linearRGB'><feTurbulence type='fractalNoise' baseFrequency='0.05' numOctaves='4' seed='15' stitchTiles='stitch' x='0%25' y='0%25' width='100%25' height='100%25' result='turbulence'></feTurbulence><feSpecularLighting surfaceScale='10' specularConstant='.4' specularExponent='20' lighting-color='%237957A8' x='0%25' y='0%25' width='100%25' height='100%25' in='turbulence' result='specularLighting'><feDistantLight azimuth='3' elevation='91'></feDistantLight></feSpecularLighting><feColorMatrix type='saturate' values='0' x='0%25' y='0%25' width='100%25' height='100%25' in='specularLighting' result='colormatrix'></feColorMatrix></filter></defs><rect width='700' height='700' fill='%231B7171ff'></rect><rect width='700' height='700' fill='%23ffffff' filter='url(%23nnnoise-filter)'></rect></svg>") !important;
    background-size: 400px;
    pointer-events: none;
    box-sizing: content-box;
    opacity: 0;
z-index: 1;
    will-change: opacity;
}
body.dark-theme .transform-scroller-section .filter{
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.dev/svgjs' viewBox='0 0 700 700' width='700' height='700'><defs><filter id='nnnoise-filter' x='-20%25' y='-20%25' width='140%25' height='140%25' filterUnits='objectBoundingBox' primitiveUnits='userSpaceOnUse' color-interpolation-filters='linearRGB'><feTurbulence type='fractalNoise' baseFrequency='0.05' numOctaves='4' seed='15' stitchTiles='stitch' x='0%25' y='0%25' width='100%25' height='100%25' result='turbulence'></feTurbulence><feSpecularLighting surfaceScale='10' specularConstant='.4' specularExponent='20' lighting-color='%237957A8' x='0%25' y='0%25' width='100%25' height='100%25' in='turbulence' result='specularLighting'><feDistantLight azimuth='3' elevation='91'></feDistantLight></feSpecularLighting><feColorMatrix type='saturate' values='0' x='0%25' y='0%25' width='100%25' height='100%25' in='specularLighting' result='colormatrix'></feColorMatrix></filter></defs><rect width='700' height='700' fill='%23ff'></rect><rect width='700' height='700' fill='%23ffffff' filter='url(%23nnnoise-filter)'></rect></svg>") !important;
}
@-moz-document url-prefix() {
    .transform-scroller-section .filter{
        background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.dev/svgjs' viewBox='0 0 700 700' width='700' height='700'><defs><filter id='nnnoise-filter' x='-20%25' y='-20%25' width='140%25' height='140%25' filterUnits='objectBoundingBox' primitiveUnits='userSpaceOnUse' color-interpolation-filters='linearRGB'><feTurbulence type='fractalNoise' baseFrequency='0.05' numOctaves='4' seed='15' stitchTiles='stitch' x='0%25' y='0%25' width='100%25' height='100%25' result='turbulence'></feTurbulence><feSpecularLighting surfaceScale='10' specularConstant='.15' specularExponent='20' lighting-color='%237957A8' x='0%25' y='0%25' width='100%25' height='100%25' in='turbulence' result='specularLighting'><feDistantLight azimuth='3' elevation='91'></feDistantLight></feSpecularLighting><feColorMatrix type='saturate' values='0' x='0%25' y='0%25' width='100%25' height='100%25' in='specularLighting' result='colormatrix'></feColorMatrix></filter></defs><rect width='700' height='700' fill='%231B7171ff'></rect><rect width='700' height='700' fill='%23ffffff' filter='url(%23nnnoise-filter)'></rect></svg>") !important;
    }
}
.transform-scroller-section .bg-img{
    overflow: hidden;
}
.transform-scroller-section .bg-img img{
    filter: brightness(70%) sepia(0.2) contrast(0.8);
    transform: scale(1.5);
    width: 100%;
    height: 100vh;
}
body.dark-theme .transform-scroller-section .bg-img img{
    filter: contrast(0.75) brightness(70%);
}
.transform-scroller-section .intro{
    position: sticky;
    top: 0;
    height: 100vh;
    z-index: 0;
}
.transform-scroller-section .intro .section-content{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.transform-scroller-section .intro .title{
    margin: 0 auto;
    font-size: 5rem;
    line-height: 1.1;
    text-shadow: 0 0 50px rgba(0, 0, 0, .5);
    position: relative;
    z-index: 5;
    will-change: transform;
}
body.dark-theme .transform-scroller-section .intro .title{
    color: #fff;
} 
.transform-scroller-section .place-indicator-wrapper{
    position: absolute;
    display: flex;
    justify-content: center;
    top: 50%;
    left: 50%;
    width: 300px;
    height: 600px;
    transform:  translate(-50%, -50%);
    z-index: 1;
}
.transform-scroller-section .place-indicator{
    background-color: rgba(255, 255, 255, .3);
    border: 3px dashed white;
    width: 100%;
    height: 100%;
    border-radius: 30px;
    padding: 100px 60px;
    transform: scale(.9);
    opacity: .25;
    will-change: transform;
}
.app-item{
    position: absolute;
    top: 20%;
    padding: 15px;
    border-radius: 15px;
    background-color: #fff;
    box-shadow: 0 5px 20px -5px rgba(0, 0, 0, .25);
    width: 60px;
    height: 60px;
    will-change: transform;
}
.app-item .app-img,
.app-item .app-img img{
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: contain;
}

.transform-scroller-section .scroller-content{
    position: relative;
    display: flex;
    overflow-x: clip;
    color: white;
    gap: 90px;
    z-index: 1;
    padding: 0 0 80px;
}
.scroller-content > *{
    width: 100%;
}
.transform-scroller-section .phone{
    background-color: rgb(57, 63, 60);
    width: 300px;
    min-width: 300px;
    height: 600px;
    border-radius: 30px;
    overflow: hidden;
    position: sticky;
    top: calc((100vh - 600px) / 2);
    margin-bottom: calc((100vh - 600px - 160px) / 2);
}
.transform-scroller-section .phone img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: right;
}
.scroller-content .left-side,
.scroller-content .right-side{
    display: flex;
    flex-direction: column;
    gap: 350px;
    overflow: visible;
}
.scroller-content .left-side{
    padding-left: 60px;
}
.scroller-content .right-side{
    margin-top: 300px;
    padding-right: 60px;
}
.scroller-content .scroller-item-wrapper{
    display: block;
}
.scroller-content .scroller-item{
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: 15px;
    font-size: 1.1rem;
    will-change: transform;
    font-weight: bold;
    width: 70%;
}
.scroller-content .scroller-item .icon-img,
.scroller-item svg{
    height: 60px;
}
body.dark-theme .scroller-content .scroller-item .icon-img,
body.dark-theme .scroller-item svg{
    filter: invert(1);
}
.scroller-content .left-side .scroller-item{
    text-align: end;
    margin-left: auto;
}
.scroller-content .left-side .scroller-item-title{
    margin-left: auto;
}
.scroller-item-title{
    color: var(--light-teal);
    font-size: 2rem;
    font-weight: bold;
    line-height: 1;
    max-width: 400px;
}
.scroller-item svg,
.scroller-item img{
    filter: brightness(0) invert(1);
}
.scroller-item img{
    width: 60px;
    object-fit: contain;
}
.scroller-item svg *{
    fill: var(--highlight-color);
}
.scroller-item-description{
    color: var(--white);
}


/* Slider Container */

.slider-container{
    margin-top: 40px;
}
.slider-nav{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.slider-nav-item{
    display: flex;
    align-items: center;
    border: 1px solid var(--border-color);
    padding: 5px;
    gap: 10px;
    border-radius: 15px;
    width: 100%;
    color: var(--primary-color);
    position: relative;
    overflow: hidden;
    cursor: pointer;
}
.slider-nav-item span{
    position: absolute;
    padding-left: 70px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    align-items: center;
    color: transparent;
    background: linear-gradient(var(--white), var(--white));
    background-size: 0%;
    background-repeat: no-repeat;
    background-clip: text;
    background-color: var(--teal);
    z-index: -1;
    display: flex;
}
@keyframes sliderNavIconAnim{
    0% {transform: scale(1);}
    45% {transform: scale(1.1);}
    75% {transform: scale(.9);}
    100% {transform: scale(1);}
}
.slider-nav-item .slider-nav-icon{
    border-radius: 10px;
    width: 50px;
    height: 50px;
    padding: 10px;
    background-color: var(--teal);
}
.slider-nav-item.active .slider-nav-icon{
    background-color: var(--white);
}
.slider-nav-item.active .slider-nav-icon svg{
    animation: sliderNavIconAnim 500ms;
}
.slider-nav-icon svg{
    width: 100%;
    height: 100%;
}
.slider-nav-icon .svg-edit svg :is(path, rect, circle):not([fill='#fff'], [fill='#ffffff']){
    fill: var(--light-teal);
}
.slider-nav-item:not(.active) .slider-nav-icon .svg-edit svg :is(path, rect, circle):is([fill='#fff'], [fill='#ffffff']){
    fill: var(--teal);
}
.slider-nav-item.active .slider-nav-icon svg :is(path, rect, circle):not([fill='#fff'], [fill='#ffffff'])[fill]{
    fill: var(--orange);
}
.slider-nav-item.active .slider-nav-icon svg :is(path, rect, circle):not([fill='#fff'], [fill='#ffffff'])[stroke]{
    stroke: var(--orange);
}
.slider-nav-item.active .slider-nav-icon svg :is(path, rect, circle)[fill="#325c5c"]{
    fill: var(--white) !important;
}
.slider-nav-item.active .slider-nav-icon svg#svg15 [fill="#b4d2be"]{
    fill: var(--orange)
}
.slider-nav-item.active .slider-nav-icon svg#svg15 [fill="#335c5c"]{
    fill: var(--white)
}
.slider-nav-item.active{
    border-color: var(--orange);
    color: var(--white);
}
.slider-nav-item:before{
    content: "";
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background-image: linear-gradient(to right, var(--orange), var(--orange));
    z-index: -1;
    border-radius: 5px;
}
.slider-nav-item.active span{
    background-color: var(--orange);
    background-size: 100%;
    transition: 5s background-size;
}
.slider-nav.autoplay .slider-nav-item.active:before{
    transition: 5s all;
    width: 100%;
}
.slider-nav:not(.autoplay) .slider-nav-item:first-child span{
    transition: 250ms background-size !important;
    background-size: 101%;
}
.slider-nav:not(.autoplay) .slider-nav-item:first-child:before{
    transition: 250ms width !important;
    width: 101%;
}
.slider-content{
    background-color: var(--white);
    border: 1px solid var(--border-color);
    border-radius: 30px;
    padding: 30px;
    margin-top: 30px;
    display: flex;
    overflow: hidden;
}
.slider-content .content{
    gap: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--primary-color);
    position: relative;
    overflow: visible;
    height: 500px;
}
.slider-content .text-side{
    justify-content: center;
}
.slider-content .text-side h3{
    font-size: 2.5rem;
    font-weight: bold;
    margin: 0;
}
.slider-content .text-side span{
    font-size: 1.1rem;
    max-width: 550px;
    margin-top: 20px;
    display: block;
}
.slider-content .slider-img{
    background-color: var(--border-color);
    width: 90%;
    max-width: 50%;
    min-height: fit-content;
    aspect-ratio: 10 / 7;
    border-radius: 30px;
    position: relative;
    display: flex;
    align-items: end;
    justify-content: center;
    overflow: hidden;
    padding: 40px;
}
.slider-content .slider-img > img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.slider-content .slider-img:after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--highlight-color);
    opacity: .4;
}
.slider-content .logo-container{
    margin-top: auto !important;
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    left: 0;
    bottom: 0;
    width: 50%;
    height: fit-content;
    z-index: 1;
    gap: 20px 20px;
    justify-content: center;
    align-items: center;
}
.slider-content .logo-container img{
    width: 20%;
    max-height: 35px;
    object-fit: contain;
    filter: var(--teal-filter);
    object-position: center;
}
.slider-content .slider-img > img{
    object-fit: cover;
    height: 100%;
}
.floating-item-wrapper{
    transform: translate(-10px, -10px);
    z-index: 10;
}
.floating-item{
    display: flex;
    position: absolute;
    will-change: transform;
    right: 0;
}
.floating-card{
    height: fit-content;
    width: 100%;
    max-width: 441px;
    z-index: 10;
    opacity: 1;
    top: 0;
    left: 50%;
    will-change: transform;
    transform-origin: 50% 50% !important;
    padding: 7px;
    border-radius: 25px;
    border: 1px dashed transparent;
    transition: 500ms border-color;
    opacity: 0;
}
.floating-card.finished{
    border-color: var(--teal);
    transition: 500ms border-color 250ms;
}


/* Download Section */

.download-section-wrapper{
    background-color: var(--primary-foreground);
    background-image: url('../img/pattern-overlay.png');
    background-repeat: repeat;
}
body.dark-theme .download-section-wrapper{
    background-image: url('../img/pattern-overlay-light.png');
}
.download-section{
    position: relative;
}
.download-section .section-wrapper{
    padding-top: 150px;
    padding-bottom: 150px;
    width: 70%;
    display: flex;
    margin-left: 0;
}
.download-section .card-spacer{
    width: 400;
    min-width: 400px;
}
.download-section .medium-title{
    margin-left: 10%;
    margin-bottom: 40px;
}
.download-section .text-side{
    display: flex;
    width: 70%;
    flex-direction: column;
    gap: 40px;
    margin-left: 10%;
}
.download-section span{
    font-size: 1.1rem;
    min-width: 200px;
}
.cari-app{
    position: absolute;
    display: flex;
    align-items: center;
    top: 40%;
    transform: translateY(-50%) rotate(35deg);
    max-width: 60vw;
    right: -200px;
    z-index: 11;
    height: calc(100% + 200px);
    pointer-events: none;
}
.cari-app img{
    pointer-events: none;
}


/* Faq */

.faq .content{
    display: flex;
    gap: 20px;
    margin-top: 40px;
}
.faq-container{
    width: 66.6%;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}
.faq-item{
    border-radius: 20px;
    width: calc(50% - 20px / 2);
    transition: 50ms border-color ease-out, 250ms background-color ease-out, .4s opacity ease, .4s transform ease !important;
}
.faq-item h4{
    font-size: 1.25rem;
    margin: 0 0 10px;
    font-weight: bold;
}
.faq-item a{
    margin-top: 20px;
    position: relative;
    display: block;
    width: fit-content;
    font-weight: bold;
}
.faq-item span{
    display: block;
    margin: 30px 0;
}
.faq-item a:after{
    content: "";
    box-sizing: content-box;
    position: absolute;
    display: block;
    padding-left: 10px;
    left: 100%;
    top: 50%;
    transform: translateY(-50%);
    width: 35px;
    height: 15px;
    background-image: url('../img/icons/link-arrow.svg');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    transition: 375ms all cubic-bezier(.5,.1,.29,1.44);
}
.faq-item a:hover:after{
    padding-left: 30px;
    filter: var(--light-teal-hover-dark-filter);
}
.faq-item, .article-router{
    background-color: var(--white);
    border: 1px solid var(--border-color);
    padding: 40px;
}
.article-router{
    border-radius: 20px;
    padding-left: 0;
    padding-right: 0;
}
.faq-item a, .article-router-top a{
    color: var(--light-teal);
    transition: 50ms color ease-out;
}
.faq-item a:hover, .article-router-top a:hover{
    color: var(--light-teal-hover-dark);
}
.article-router-top a, .article-router-title{
    font-weight: bold;
    font-size: 1.25rem;
}
.article-router-title{
    display: block;
    margin: 0 20px 30px 0;
}
.article-router{
    width: 33.3%;
    background-color: var(--white);
    border: 1px solid var(--border-color);
    overflow: hidden;
}
.article-router-top{
    padding: 0 20px;
    font-size: 1.1rem;
    display: flex;
    align-items: start;
    justify-content: space-between
}
.article-router .article-item{
    position: relative;
    display: block;
    padding: 30px 20px;
    border-bottom: 1px solid var(--border-color);
    transition: 100ms;
    transition-property: color, padding;
    transition: 250ms all cubic-bezier(.5,.1,.29,1.44), 250ms padding cubic-bezier(.83,.18,.08,.86);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    background-color: transparent;
}   
.article-item:hover{
    color: white;
    padding-left: 40px;
}
.article-item:has(~ .article-item:hover),
.article-item:hover{
    border-color: var(--teal);
}
.article-item span{
    position: relative;
    z-index: 2;
}
.article-item:after{
    content: "";
    position: absolute;
    left: -20px;
    top: -1px;
    width: 100%;
    height: 100%;
    box-sizing: content-box;
    padding: 1px 20px;
    transition: 250ms background-color ease-out;
    background-color: transparent;
}
.article-item:hover:after{
    background-color: var(--teal);
}
/*
.article-item:hover{
    background-color: white;
    transform: translateY(-5px) rotatex(10deg);
    border-radius: 12px 12px 10px 10px;
    box-shadow: 0 5px var(--border-color), 0 6px 23px -17px black;
    border-color: var(--border-color);
    transition: 250ms;
    transition-property: background, color, transform, box-shadow, border
}
.article-item:active{
    transition: 250ms;
    transition-property: background, color, transform, box-shadow, border;
    transform: translateY(0px) rotatex(7deg);
    box-shadow: none;
}
*/